Main Page Class Hierarchy Alphabetical List Compound List File List Compound Members File Members Related Pages

# vtkJPEGWriter Class Reference

`#include <vtkJPEGWriter.h>`

Inheritance diagram for vtkJPEGWriter:

[legend]
Collaboration diagram for vtkJPEGWriter:

[legend]
List of all members.

## Detailed Description

Writes JPEG files.

Date:
  2002/05/31 23:12:41

Revision:
  1.9

vtkJPEGWriter writes JPEG files. It supports 1 and 3 component data of unsigned char. It relies on the IJG's libjpeg. Thanks to IJG for supplying a public jpeg IO library.

See also:
  vtkJPEGReader

Created by:
  - Miller, Jim

CVS contributions (if > 5%):
  - Miller, Jim (54%)
  - Martin, Ken (23%)
  - Geveci, Berk (11%)
  - Cedilnik, Andy (7%)

CVS logs (CVSweb):
  - .`h` (`/IO/vtkJPEGWriter.h)`
  - .`cxx` (`/IO/vtkJPEGWriter.cxx)`

Tests:
  vtkJPEGWriter (Tests)

Definition at line 54 of file vtkJPEGWriter.h.

## Public Types
typedef vtkImageWriter | Superclass
## Public Methods
virtual const char * | GetClassName ()
virtual int | IsA (const char *type)
void | PrintSelf (ostream &os, vtkIndent indent)
virtual void | Write ()
virtual void | SetQuality (int)
virtual int | GetQuality ()
virtual void | SetProgressive (unsigned int)
virtual unsigned int | GetProgressive ()
virtual void | ProgressiveOn ()
virtual void | ProgressiveOff ()
virtual void | SetWriteToMemory (unsigned int)
virtual unsigned int | GetWriteToMemory ()
virtual void | WriteToMemoryOn ()
virtual void | WriteToMemoryOff ()
virtual void | SetResult (vtkUnsignedCharArray *)
virtual vtkUnsignedCharArray * | GetResult ()
## Static Public Methods
vtkJPEGWriter * | New ()
int | IsTypeOf (const char *type)
vtkJPEGWriter * | SafeDownCast (vtkObject *o)
## Protected Methods
| vtkJPEGWriter ()
| ~vtkJPEGWriter ()
void | WriteSlice (vtkImageData *data)

## Member Typedef Documentation

typedef vtkImageWriter vtkJPEGWriter::Superclass

| Reimplemented from vtkImageWriter. Definition at line 58 of file vtkJPEGWriter.h.

## Constructor & Destructor Documentation

vtkJPEGWriter::vtkJPEGWriter | ( |  | ) | `[protected]`

vtkJPEGWriter::~vtkJPEGWriter | ( |  | ) | `[protected]`

## Member Function Documentation

vtkJPEGWriter* vtkJPEGWriter::New | ( |  | ) | `[static]`

| Create an object with Debug turned off, modified time initialized to zero, and reference counting on. Reimplemented from vtkImageWriter.

virtual const char* vtkJPEGWriter::GetClassName | ( |  | ) | `[virtual]`

| Reimplemented from vtkImageWriter.

int vtkJPEGWriter::IsTypeOf | ( | const char * | type | ) | `[static]`

| Return 1 if this class type is the same type of (or a subclass of) the named class. Returns 0 otherwise. This method works in combination with vtkTypeRevisionMacro found in vtkSetGet.h. Reimplemented from vtkImageWriter.

virtual int vtkJPEGWriter::IsA | ( | const char * | type | ) | `[virtual]`

| Return 1 if this class is the same type of (or a subclass of) the named class. Returns 0 otherwise. This method works in combination with vtkTypeRevisionMacro found in vtkSetGet.h. Reimplemented from vtkImageWriter.

vtkJPEGWriter* vtkJPEGWriter::SafeDownCast | ( | vtkObject * | o | ) | `[static]`

| Reimplemented from vtkImageWriter.

void vtkJPEGWriter::PrintSelf | ( | ostream & | os,
|  | vtkIndent | indent
| ) | `[virtual]`

| Methods invoked by print to print information about the object including superclasses. Typically not called by the user (use Print() instead) but used in the hierarchical print process to combine the output of several classes. Reimplemented from vtkImageWriter.

virtual void vtkJPEGWriter::Write | ( |  | ) | `[virtual]`

| The main interface which triggers the writer to start. Reimplemented from vtkImageWriter.

virtual void vtkJPEGWriter::SetQuality | ( | int |  | ) | `[virtual]`

| Compression quality. 0 = Low quality, 100 = High quality

virtual int vtkJPEGWriter::GetQuality | ( |  | ) | `[virtual]`

| Compression quality. 0 = Low quality, 100 = High quality

virtual void vtkJPEGWriter::SetProgressive | ( | unsigned | int | ) | `[virtual]`

| Progressive JPEG generation.

virtual unsigned int vtkJPEGWriter::GetProgressive | ( |  | ) | `[virtual]`

| Progressive JPEG generation.

virtual void vtkJPEGWriter::ProgressiveOn | ( |  | ) | `[virtual]`

| Progressive JPEG generation.

virtual void vtkJPEGWriter::ProgressiveOff | ( |  | ) | `[virtual]`

| Progressive JPEG generation.

virtual void vtkJPEGWriter::SetWriteToMemory | ( | unsigned | int | ) | `[virtual]`

| Write the image to memory (a vtkUnsignedCharArray)

virtual unsigned int vtkJPEGWriter::GetWriteToMemory | ( |  | ) | `[virtual]`

| Write the image to memory (a vtkUnsignedCharArray)

virtual void vtkJPEGWriter::WriteToMemoryOn | ( |  | ) | `[virtual]`

| Write the image to memory (a vtkUnsignedCharArray)

virtual void vtkJPEGWriter::WriteToMemoryOff | ( |  | ) | `[virtual]`

| Write the image to memory (a vtkUnsignedCharArray)

virtual void vtkJPEGWriter::SetResult | ( | vtkUnsignedCharArray * |  | ) | `[virtual]`

| When writing to memory this is the result, it will be NULL until the data is written the first time

virtual vtkUnsignedCharArray* vtkJPEGWriter::GetResult | ( |  | ) | `[virtual]`

| When writing to memory this is the result, it will be NULL until the data is written the first time

void vtkJPEGWriter::WriteSlice | ( | vtkImageData * | data | ) | `[protected]`

The documentation for this class was generated from the following file:

- IO/vtkJPEGWriter.h